umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Functions | Variables
petaltree2uml.cpp File Reference
`#include "petaltree2uml.h"`
`#include "debug_utils.h"`
`#include "petalnode.h"`
`#include "model_utils.h"`
`#include "object_factory.h"`
`#include "import_rose.h"`
`#include "uniqueid.h"`
`#include "package.h"`
`#include "folder.h"`
`#include "classifier.h"`
`#include "attribute.h"`
`#include "operation.h"`
`#include "datatype.h"`
`#include "enum.h"`
`#include "enumliteral.h"`
`#include "association.h"`
`#include "umlrole.h"`
`#include "actor.h"`
`#include "usecase.h"`
`#include "component.h"`
`#include "node.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlscene.h"`
`#include "umlview.h"`
`#include "activitywidget.h"`
`#include "associationwidget.h"`
`#include "boxwidget.h"`
`#include "classifierwidget.h"`
`#include "floatingtextwidget.h"`
`#include "forkjoinwidget.h"`
`#include "notewidget.h"`
`#include "objectnodewidget.h"`
`#include "statewidget.h"`
`#include "umlwidgetlist.h"`
`#include "widget_factory.h"`
`#include <QtGlobal>`
`#include <QFile>`
`#include <QRegExp>`

## Classes
class | Import_Rose::ClassifierListReader
class | Import_Rose::AttributesReader
class | Import_Rose::LiteralsReader
class | Import_Rose::ParametersReader
class | Import_Rose::OperationsReader
class | Import_Rose::SuperclassesReader
class | Import_Rose::RealizationsReader
class | Import_Rose::UsesReader

## Namespaces
namespace | Import_Rose

## Macros
#define | DBG_SRC QStringLiteral("Import_Rose")

## Typedefs
typedef QMap< QString, UMLWidget * > | Import_Rose::ViewTagToWidget_Map

## Functions
QString | Import_Rose::clean (const QString &s)
Uml::ID::Type | Import_Rose::quid (const PetalNode *node)
QString | Import_Rose::quidu (const PetalNode *node)
QPointF | Import_Rose::fetchLocation (const PetalNode *node, qreal width, qreal height)
qreal | Import_Rose::fetchDouble (const PetalNode *node, const QString &attribute, bool applyRose2Qt=true)
qreal | Import_Rose::fetchInt (const PetalNode *node, const QString &attribute, int defaultValue=0)
UMLObject::ObjectType | Import_Rose::typeToCreate (const QString &name)
void | Import_Rose::transferVisibility (const PetalNode *from, UMLObject *to)
UMLPackage * | Import_Rose::handleControlledUnit (PetalNode *node, const QString &name, Uml::ID::Type id, UMLPackage *parentPkg)
void | Import_Rose::handleAssocView (PetalNode *attr, const PetalNode::NameValueList &parentAttrs, Uml::AssociationType::Enum assocType, UMLView *view, UMLObject *umlAssoc=0)
Uml::DiagramType::Enum | Import_Rose::diagramType (QString objType)
bool | Import_Rose::umbrellify (PetalNode *node, UMLPackage *parentPkg)
bool | Import_Rose::importView (PetalNode *root, UMLPackage *parent, const QString &rootName, const QString &modelsName, const QString &firstNodeName, const QString &presentationsName)
UMLPackage * | Import_Rose::petalTree2Uml (PetalNode *root, UMLPackage *parentPkg)

## Variables
const qreal | Import_Rose::Rose2Qt = 0.5
ViewTagToWidget_Map | Import_Rose::viewTagToWidget

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Import_Rose")